<?xml version='1.0' encoding='UTF-8' ?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://xmlns.jcp.org/jsf/html"
      xmlns:p="http://primefaces.org/ui"
      xmlns:ui="http://xmlns.jcp.org/jsf/facelets">
    <h:head>
        <title>Compañia</title>
    </h:head>
    <h:body>
        <ui:include src="menu.xhtml"/>
        <p:fieldset legend="Añadir compañia">
            <h:form id="formCompania">
                <p:growl id="mensaje"/>
                <h:panelGrid columns="2">
                    <p:outputLabel value="Codigo"/>
                    <p:inputText value="#{companiaController.compania.codigo}" required="true"/>
                    <p:outputLabel value="Compania"/>
                    <p:inputText value="#{companiaController.compania.compania}"/>
                    <p:outputLabel value="Actividad"/>
                    <p:inputText value="#{companiaController.compania.actividad}"/>
                    <p:commandButton rendered="#{companiaController.compania.codigo==null}" value="Enviar" actionListener="#{companiaController.insertar()}" update=":listaCompania,:formCompania,:formCompania:mensaje"/>
                    <p:commandButton rendered="#{companiaController.compania.codigo!=null}" value="Actualizar" actionListener="#{companiaController.actualizar()}" update=":listaCompania,:formCompania,:formCompania:mensaje"/>
                    
                </h:panelGrid>
            </h:form>  
        </p:fieldset>
        <br/>
        <br/>
        <p:fieldset legend="Lista de Compañias">
            <h:form id="listaCompania">
                <p:dataTable value="#{companiaController.lista}" var="compania" paginator="true" rows="5">
                    <p:column headerText="Codigo">
                        <p:outputLabel value="#{compania.codigo}"/>
                    </p:column>
                    <p:column headerText="Compañia">
                        <p:outputLabel value="#{compania.compania}"/>
                    </p:column>
                    <p:column headerText="Actividad">
                        <p:outputLabel value="#{compania.actividad}"/>
                    </p:column>
                    <p:column headerText="Acciones">
                        <p:commandButton value="Eliminar" action="#{companiaController.eliminar(compania)}" update=":listaCompania"/>
                        <p:commandButton value="Editar" action="#{companiaController.consultarById(compania)}" update=":formCompania"/>
                        <p:commandButton value="Detallar Compañia" action="compania_cuartel.xhtml" />
                    </p:column>
                </p:dataTable>
            </h:form>
        </p:fieldset>
    </h:body>
</html>

